transaction.hpp File Reference

C++ pmemobj transactions. More...

`#include <functional>`
`#include <string>`
`#include "libpmemobj++/detail/pexceptions.hpp"`
`#include "libpmemobj++/pool.hpp"`
`#include "libpmemobj/tx_base.h"`
Include dependency graph for transaction.hpp:

Go to the source code of this file.

## Classes

class | pmem::obj::transaction
| C++ transaction handler class. More...
class | pmem::obj::transaction::manual
| C++ manual scope transaction class. More...
class | pmem::obj::transaction::automatic
| C++ automatic scope transaction class. More...
class | pmem::obj::transaction::automatic::uncaught_exception_counter
| Internal class for counting active exceptions. More...

## Detailed Description

C++ pmemobj transactions.